Basic Range Area in JavaScript

Using ApexCharts with JavaScript

This Basic Range Area example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'New York Temperature',
      data: [
        {
          x: 'Jan',
          y: [-2, 4],
        },
        {
          x: 'Feb',
          y: [-1, 6],
        },
        {
          x: 'Mar',
          y: [3, 10],
        },
        {
          x: 'Apr',
          y: [8, 16],
        },
        {
          x: 'May',
          y: [13, 22],
        },
        {
          x: 'Jun',
          y: [18, 26],
        },
        {
          x: 'Jul',
          y: [21, 29],
        },
        {
          x: 'Aug',
          y: [21, 28],
        },
        {
          x: 'Sep',
          y: [17, 24],
        },
        {
          x: 'Oct',
          y: [11, 18],
        },
        {
          x: 'Nov',
          y: [6, 12],
        },
        {
          x: 'Dec',
          y: [1, 7],
        },
      ],
    },
  ],
  chart: {
    height: 350,
    type: 'rangeArea',
  },
  stroke: {
    curve: 'monotoneCubic',
  },
  title: {
    text: 'New York Temperature (all year round)',
  },
  markers: {
    hover: {
      sizeOffset: 5,
    },
  },
  dataLabels: {
    enabled: false,
  },
  yaxis: {
    labels: {
      formatter: (val) => {
        return val + '°C'
      },
    },
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

Basic Range Area in Angular

Using ApexCharts with Angular

This Basic Range Area example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'New York Temperature',
              data: [
                {
                  x: 'Jan',
                  y: [-2, 4],
                },
                {
                  x: 'Feb',
                  y: [-1, 6],
                },
                {
                  x: 'Mar',
                  y: [3, 10],
                },
                {
                  x: 'Apr',
                  y: [8, 16],
                },
                {
                  x: 'May',
                  y: [13, 22],
                },
                {
                  x: 'Jun',
                  y: [18, 26],
                },
                {
                  x: 'Jul',
                  y: [21, 29],
                },
                {
                  x: 'Aug',
                  y: [21, 28],
                },
                {
                  x: 'Sep',
                  y: [17, 24],
                },
                {
                  x: 'Oct',
                  y: [11, 18],
                },
                {
                  x: 'Nov',
                  y: [6, 12],
                },
                {
                  x: 'Dec',
                  y: [1, 7],
                },
              ],
            },
          ],
          chart: {
            height: 350,
            type: 'rangeArea',
          },
          stroke: {
            curve: 'monotoneCubic',
          },
          title: {
            text: 'New York Temperature (all year round)',
          },
          markers: {
            hover: {
              sizeOffset: 5,
            },
          },
          dataLabels: {
            enabled: false,
          },
          yaxis: {
            labels: {
              formatter: (val) => {
                return val + '°C'
              },
            },
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}

Basic Range Area in Vue

Using ApexCharts with Vue

This Basic Range Area example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="rangeArea"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'New York Temperature',
          data: [
            {
              x: 'Jan',
              y: [-2, 4],
            },
            {
              x: 'Feb',
              y: [-1, 6],
            },
            {
              x: 'Mar',
              y: [3, 10],
            },
            {
              x: 'Apr',
              y: [8, 16],
            },
            {
              x: 'May',
              y: [13, 22],
            },
            {
              x: 'Jun',
              y: [18, 26],
            },
            {
              x: 'Jul',
              y: [21, 29],
            },
            {
              x: 'Aug',
              y: [21, 28],
            },
            {
              x: 'Sep',
              y: [17, 24],
            },
            {
              x: 'Oct',
              y: [11, 18],
            },
            {
              x: 'Nov',
              y: [6, 12],
            },
            {
              x: 'Dec',
              y: [1, 7],
            },
          ],
        },
      ],
      chartOptions: {
        chart: {
          height: 350,
          type: 'rangeArea',
        },
        stroke: {
          curve: 'monotoneCubic',
        },
        title: {
          text: 'New York Temperature (all year round)',
        },
        markers: {
          hover: {
            sizeOffset: 5,
          },
        },
        dataLabels: {
          enabled: false,
        },
        yaxis: {
          labels: {
            formatter: (val) => {
              return val + '°C'
            },
          },
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>

Basic Range Area in React

Using ApexCharts with React

This Basic Range Area example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'New York Temperature',
        data: [
          {
            x: 'Jan',
            y: [-2, 4],
          },
          {
            x: 'Feb',
            y: [-1, 6],
          },
          {
            x: 'Mar',
            y: [3, 10],
          },
          {
            x: 'Apr',
            y: [8, 16],
          },
          {
            x: 'May',
            y: [13, 22],
          },
          {
            x: 'Jun',
            y: [18, 26],
          },
          {
            x: 'Jul',
            y: [21, 29],
          },
          {
            x: 'Aug',
            y: [21, 28],
          },
          {
            x: 'Sep',
            y: [17, 24],
          },
          {
            x: 'Oct',
            y: [11, 18],
          },
          {
            x: 'Nov',
            y: [6, 12],
          },
          {
            x: 'Dec',
            y: [1, 7],
          },
        ],
      },
    ],
    options: {
      chart: {
        height: 350,
        type: 'rangeArea',
      },
      stroke: {
        curve: 'monotoneCubic',
      },
      title: {
        text: 'New York Temperature (all year round)',
      },
      markers: {
        hover: {
          sizeOffset: 5,
        },
      },
      dataLabels: {
        enabled: false,
      },
      yaxis: {
        labels: {
          formatter: (val) => {
            return val + '°C'
          },
        },
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="rangeArea"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart